All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::gain_fcns_t Struct Reference

`#include <gain_group.hpp>`

## Public Attributes

boost::function< gain_range_t(void)> | get_range
boost::function< double(void)> | get_value
boost::function< void(double)> | set_value

## Detailed Description

A set of function to control a gain element.

## Member Data Documentation

boost::function<gain_range_t(void)> uhd::gain_fcns_t::get_range

boost::function<double(void)> uhd::gain_fcns_t::get_value

boost::function<void(double)> uhd::gain_fcns_t::set_value

The documentation for this struct was generated from the following file:

- include/uhd/utils/gain_group.hpp